Bug 525829 - 201068: Include PCI-X hot plug updates/patches from upstream.
Summary: 201068: Include PCI-X hot plug updates/patches from upstream.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Bugzilla
Classification: Community
Component: Test
Version: 3.4
Hardware: x86_64
OS: All
low
urgent vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-26 04:01 UTC by IBM Mirproxy
Modified: 2013-06-24 02:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-04 02:25:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 39009 None None None Never

Description IBM Mirproxy 2009-09-26 04:01:46 UTC
=Comment: #0=================================================
Stephanie A. Glass <sglass&#64;us.ibm.com> - 2007-09-20 15:26 EDT
1. Feature Id 	201068
Feature Name 	Include PCI-X hot plug updates/patches from upstream.
Sponsor 	xSeries
Category 	xSeries
Request Type 	Driver - Update Version

2. Short Description 	There are bugs in acpiphp that prevent PCI-X hotplug
operations from working in IBM System x servers (and likely in other servers
that support PCI-X hotplug). The known issues are: 
1) PCI memory resource mis-allocation on systems where PCI-X slots exist
directly below a PHB in the PCI hierarchy and PCI memory resources aren't
obtainable from the PHB config space. 
2) SERR during PCI-X hp operation because acpiphp incorrectly writes _HPP
parameters to the PHB config space. 
3) acpiphp fails to power off slot due to missing logic to detect _EJ0 in PCI
core Problems 2) and 3) have been fixed and patches are already upstream -
2.6.23-rc1. A fix for problem 1) is still being developed.
	
3. Describe the Business Case 	Existing bugs are preventing Linux customers from
using PCI-X hotplug on IBM System x servers.
Performance Assistance Required? 	no
Benefits 	Feature parity with Windows.
	
4. Sponsor Priority 	1
IBM Confidential 	no
Code Contribution ? 	IBM code
Upstream Acceptance 	In Progress

5. Hardware to Red Hat: Already available on site

6. PM Contact: Monte Knutson, mknutson@us.ibm.com, 877-894-1495

7. Technical Contact: Chris McDermott, lcm@us.ibm.com, 503-578-5726

Comment 1 IBM Mirproxy 2009-09-26 04:01:53 UTC
1. Feature Id 	201068
Feature Name 	Include PCI-X hot plug updates/patches from upstream.
Sponsor 	xSeries
Category 	xSeries
Request Type 	Driver - Update Version

2. Short Description 	There are bugs in acpiphp that prevent PCI-X hotplug
operations from working in IBM System x servers (and likely in other servers
that support PCI-X hotplug). The known issues are:
1) PCI memory resource mis-allocation on systems where PCI-X slots exist
directly below a PHB in the PCI hierarchy and PCI memory resources aren't
obtainable from the PHB config space.
2) SERR during PCI-X hp operation because acpiphp incorrectly writes _HPP
parameters to the PHB config space.
3) acpiphp fails to power off slot due to missing logic to detect _EJ0 in PCI
core Problems 2) and 3) have been fixed and patches are already upstream -
2.6.23-rc1. A fix for problem 1) is still being developed.

3. Describe the Business Case 	Existing bugs are preventing Linux customers from
using PCI-X hotplug on IBM System x servers.
Performance Assistance Required? 	no
Benefits 	Feature parity with Windows.

4. Sponsor Priority 	1
IBM Confidential 	no
Code Contribution ? 	IBM code
Upstream Acceptance 	In Progress

5. Hardware to Red Hat: Already available on site

6. PM Contact: Monte Knutson, mknutson@us.ibm.com, 877-894-1495

7. Technical Contact: Chris McDermott, lcm@us.ibm.com, 503-578-5726
=Comment: #0=================================================
Stephanie A. Glass <sglass&#64;us.ibm.com> - 2007-09-20 15:26 EDT
1. Feature Id 	201068
Feature Name 	Include PCI-X hot plug updates/patches from upstream.
Sponsor 	xSeries
Category 	xSeries
Request Type 	Driver - Update Version

2. Short Description 	There are bugs in acpiphp that prevent PCI-X hotplug
operations from working in IBM System x servers (and likely in other servers
that support PCI-X hotplug). The known issues are:
1) PCI memory resource mis-allocation on systems where PCI-X slots exist
directly below a PHB in the PCI hierarchy and PCI memory resources aren't
obtainable from the PHB config space.
2) SERR during PCI-X hp operation because acpiphp incorrectly writes _HPP
parameters to the PHB config space.
3) acpiphp fails to power off slot due to missing logic to detect _EJ0 in PCI
core Problems 2) and 3) have been fixed and patches are already upstream -
2.6.23-rc1. A fix for problem 1) is still being developed.

3. Describe the Business Case 	Existing bugs are preventing Linux customers from
using PCI-X hotplug on IBM System x servers.
Performance Assistance Required? 	no
Benefits 	Feature parity with Windows.

4. Sponsor Priority 	1
IBM Confidential 	no
Code Contribution ? 	IBM code
Upstream Acceptance 	In Progress

5. Hardware to Red Hat: Already available on site

6. PM Contact: Monte Knutson, mknutson@us.ibm.com, 877-894-1495

7. Technical Contact: Chris McDermott, lcm@us.ibm.com, 503-578-5726
Patch for problem 2 and 3 have been posted on RHKL.
Any updates to development of problem 1?
(In reply to comment #5)
> Any updates to development of problem 1?

Yes. Patches for problem 1 are complete and have been included in Linus' git
tree, queued up for 2.6.24-rc1.

A backport of these patches for RHEL4(.7) was attached last week to Red Hat
Issue Tracker 126181.
Andrius,

Going to test the 5.1 patches this week and then move to test the 4.7 ones.
Andrius,

I have tested the 4.7 ones with success. Unfortunately they break the kABI so we
have to figure something out.
Closing as CANTFIX since the 4.7 patch breaks kABI.

Comment 2 David Lawrence 2010-01-15 16:54:46 UTC
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this bug will need to be re-verified against the new release. With
the updated code this bug may no longer be relevant or may have been fixed in
the new code. Updating bug version to 3.4.


Note You need to log in before you can comment on or make changes to this bug.